Module java.desktop
Package javax.swing.plaf.basic

## Class BasicBorders.ButtonBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.basic.BasicBorders.ButtonBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Direct Known Subclasses:
  `BasicBorders.RadioButtonBorder`, `BasicBorders.RolloverButtonBorder`, `BasicBorders.ToggleButtonBorder`

Enclosing class:
  BasicBorders

    public static class BasicBorders.ButtonBorder
    extends AbstractBorder
    implements UIResource

Draws a border around a button.

See Also:
  Serialized Form

### Field Summary

Fields
`protected Color` `darkShadow` The color of dark shadow.
`protected Color` `highlight` The color of highlight.
`protected Color` `lightHighlight` The color of light highlight.
`protected Color` `shadow` The color of shadow.

### Constructor Summary

Constructors
`ButtonBorder​(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)` Constructs a new instance of a `ButtonBorder`.

### Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### shadow

    protected Color shadow

The color of shadow.

#### darkShadow

    protected Color darkShadow

The color of dark shadow.

#### highlight

    protected Color highlight

The color of highlight.

#### lightHighlight

    protected Color lightHighlight

The color of light highlight.

### Constructor Detail

#### ButtonBorder

    public ButtonBorder​(Color shadow,
                        Color darkShadow,
                        Color highlight,
                        Color lightHighlight)

Constructs a new instance of a `ButtonBorder`.

Parameters:
  `shadow` - a color of shadow
  `darkShadow` - a color of dark shadow
  `highlight` - a color of highlight
  `lightHighlight` - a color of light highlight